﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EF4_Poco_Conventions
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ContextoCurso contextoCurso = new ContextoCurso())
            {
                Curso curso = new Curso { Nome = "Entity Framework" };

                contextoCurso.Cursos.Add(curso);

                Aluno macoratti = new Aluno
                {
                   Nome = "Jose Carlos Macoratti",
                   Curso = curso,
                   Email = "macoratti@yahoo.com"
                };

                contextoCurso.Alunos.Add(macoratti);
                int registros = contextoCurso.SaveChanges();

                Console.WriteLine(" registros atualizados " + registros.ToString());
                Console.ReadKey();
            }
        }
    }
}
